# Interface IConstantPoolConstant

public interface IConstantPoolConstant
Description of constant pool constants as described in the JVM specifications.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTANT_Class`
`static final int`
`CONSTANT_Class_SIZE`
`static final int`
`CONSTANT_Double`
`static final int`
`CONSTANT_Double_SIZE`
`static final int`
`CONSTANT_Dynamic`
For the proposed section of JVMLS11 4.4.13 The CONSTANT_Dynamic_info Structure
`static final int`
`CONSTANT_Dynamic_SIZE`
`static final int`
`CONSTANT_DynamicCallSite`
proposed new name in JVMLS11
`static final int`
`CONSTANT_Fieldref`
`static final int`
`CONSTANT_Fieldref_SIZE`
`static final int`
`CONSTANT_Float`
`static final int`
`CONSTANT_Float_SIZE`
`static final int`
`CONSTANT_Integer`
`static final int`
`CONSTANT_Integer_SIZE`
`static final int`
`CONSTANT_InterfaceMethodref`
`static final int`
`CONSTANT_InterfaceMethodref_SIZE`
`static final int`
`CONSTANT_InvokeDynamic`
`static final int`
`CONSTANT_InvokeDynamic_SIZE`
`static final int`
`CONSTANT_Long`
`static final int`
`CONSTANT_Long_SIZE`
`static final int`
`CONSTANT_MethodHandle`
`static final int`
`CONSTANT_MethodHandle_SIZE`
`static final int`
`CONSTANT_Methodref`
`static final int`
`CONSTANT_Methodref_SIZE`
`static final int`
`CONSTANT_MethodType`
`static final int`
`CONSTANT_MethodType_SIZE`
`static final int`
`CONSTANT_Module`
`static final int`
`CONSTANT_Module_SIZE`
`static final int`
`CONSTANT_NameAndType`
`static final int`
`CONSTANT_NameAndType_SIZE`
`static final int`
`CONSTANT_Package`
`static final int`
`CONSTANT_Package_SIZE`
`static final int`
`CONSTANT_String`
`static final int`
`CONSTANT_String_SIZE`
`static final int`
`CONSTANT_Utf8`
`static final int`
`CONSTANT_Utf8_SIZE`
`static final int`
`METHOD_TYPE_REF_GetField`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_GetStatic`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_InvokeInterface`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_InvokeSpecial`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_InvokeStatic`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_InvokeVirtual`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_NewInvokeSpecial`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_PutField`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).
`static final int`
`METHOD_TYPE_REF_PutStatic`
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

## Field Details

### CONSTANT_Class

static final int CONSTANT_Class

See Also:
  - Constant Field Values

### CONSTANT_Fieldref

static final int CONSTANT_Fieldref

See Also:
  - Constant Field Values

### CONSTANT_Methodref

static final int CONSTANT_Methodref

See Also:
  - Constant Field Values

### CONSTANT_InterfaceMethodref

static final int CONSTANT_InterfaceMethodref

See Also:
  - Constant Field Values

### CONSTANT_String

static final int CONSTANT_String

See Also:
  - Constant Field Values

### CONSTANT_Integer

static final int CONSTANT_Integer

See Also:
  - Constant Field Values

### CONSTANT_Float

static final int CONSTANT_Float

See Also:
  - Constant Field Values

### CONSTANT_Long

static final int CONSTANT_Long

See Also:
  - Constant Field Values

### CONSTANT_Double

static final int CONSTANT_Double

See Also:
  - Constant Field Values

### CONSTANT_NameAndType

static final int CONSTANT_NameAndType

See Also:
  - Constant Field Values

### CONSTANT_Utf8

static final int CONSTANT_Utf8

See Also:
  - Constant Field Values

### CONSTANT_MethodHandle

static final int CONSTANT_MethodHandle

Since:
  3.8
See Also:
  - Constant Field Values

### CONSTANT_MethodType

static final int CONSTANT_MethodType

Since:
  3.8
See Also:
  - Constant Field Values

### CONSTANT_InvokeDynamic

static final int CONSTANT_InvokeDynamic

Since:
  3.8
See Also:
  - Constant Field Values

### CONSTANT_DynamicCallSite

static final int CONSTANT_DynamicCallSite
proposed new name in JVMLS11

Since:
  3.16
See Also:
  - Constant Field Values

### CONSTANT_Module

static final int CONSTANT_Module

Since:
  3.14
See Also:
  - Constant Field Values

### CONSTANT_Package

static final int CONSTANT_Package

Since:
  3.14
See Also:
  - Constant Field Values

### CONSTANT_Dynamic

static final int CONSTANT_Dynamic
For the proposed section of JVMLS11 4.4.13 The CONSTANT_Dynamic_info Structure

Since:
  3.16
See Also:
  - Constant Field Values

### CONSTANT_Methodref_SIZE

static final int CONSTANT_Methodref_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Class_SIZE

static final int CONSTANT_Class_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Double_SIZE

static final int CONSTANT_Double_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Fieldref_SIZE

static final int CONSTANT_Fieldref_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Float_SIZE

static final int CONSTANT_Float_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Integer_SIZE

static final int CONSTANT_Integer_SIZE

See Also:
  - Constant Field Values

### CONSTANT_InterfaceMethodref_SIZE

static final int CONSTANT_InterfaceMethodref_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Long_SIZE

static final int CONSTANT_Long_SIZE

See Also:
  - Constant Field Values

### CONSTANT_String_SIZE

static final int CONSTANT_String_SIZE

See Also:
  - Constant Field Values

### CONSTANT_Utf8_SIZE

static final int CONSTANT_Utf8_SIZE

See Also:
  - Constant Field Values

### CONSTANT_NameAndType_SIZE

static final int CONSTANT_NameAndType_SIZE

See Also:
  - Constant Field Values

### CONSTANT_MethodHandle_SIZE

static final int CONSTANT_MethodHandle_SIZE

Since:
  3.8
See Also:
  - Constant Field Values

### CONSTANT_MethodType_SIZE

static final int CONSTANT_MethodType_SIZE

Since:
  3.8
See Also:
  - Constant Field Values

### CONSTANT_InvokeDynamic_SIZE

static final int CONSTANT_InvokeDynamic_SIZE

Since:
  3.8
See Also:
  - Constant Field Values

### CONSTANT_Dynamic_SIZE

static final int CONSTANT_Dynamic_SIZE

Since:
  3.16
See Also:
  - Constant Field Values

### CONSTANT_Module_SIZE

static final int CONSTANT_Module_SIZE

Since:
  3.14
See Also:
  - Constant Field Values

### CONSTANT_Package_SIZE

static final int CONSTANT_Package_SIZE

Since:
  3.14
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_GetField

static final int METHOD_TYPE_REF_GetField
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_GetStatic

static final int METHOD_TYPE_REF_GetStatic
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_PutField

static final int METHOD_TYPE_REF_PutField
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_PutStatic

static final int METHOD_TYPE_REF_PutStatic
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_InvokeVirtual

static final int METHOD_TYPE_REF_InvokeVirtual
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_InvokeStatic

static final int METHOD_TYPE_REF_InvokeStatic
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_InvokeSpecial

static final int METHOD_TYPE_REF_InvokeSpecial
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_NewInvokeSpecial

static final int METHOD_TYPE_REF_NewInvokeSpecial
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values

### METHOD_TYPE_REF_InvokeInterface

static final int METHOD_TYPE_REF_InvokeInterface
The constant is described at 5.4.3.5 in the Java 7 VM specification (part 3).

Since:
  3.8
See Also:
  - Constant Field Values